package org.seasar.jsf.template.impl.html;

import javax.faces.component.UIComponent;
import javax.faces.component.UIOutput;

import org.seasar.jsf.template.impl.AbstractComponentFactory;
import org.w3c.dom.Node;

/**
 * @author higa
 *
 */
public class HtmlSpanFactory extends AbstractComponentFactory {

	private static final String RENDERER_TYPE = "org.seasar.jsf.Span";

	public HtmlSpanFactory(Node node) {
		super(node);
	}

	/**
	 * @see org.seasar.jsf.template.ComponentFactory#createComponent()
	 */
	public UIComponent createComponent() {
		UIOutput component = new UIOutput();
		component.setRendererType(RENDERER_TYPE);
		setProperties(component);
		return component;
	}
}
